import React, { forwardRef, memo, useEffect, useState } from 'react';
import { Input } from 'antd';
import isObject from 'lodash/isObject';
import isEqual from 'lodash/isEqual';
import { propsAreEqual } from '../utils';
const { TextArea } = Input;
function JsonTextArea(props, ref) {
    const { onChange, value } = props;
    const [json, setJson] = useState();
    useEffect(() => {
        try {
            let strObj;
            eval(`strObj=${json}`);
            if (isObject(strObj) && !isEqual(value, strObj)) {
                onChange && onChange(strObj);
            }
        }
        catch (e) {
        }
    }, [json, onChange]);
    useEffect(() => {
        const jsonStr = JSON.stringify(value, null, 2);
        setJson(jsonStr);
    }, [value]);
    return (React.createElement(TextArea, { ref: ref, value: json, onChange: (e) => setJson(e.target.value) }));
}
export default memo(forwardRef(JsonTextArea), propsAreEqual);
