import React, { forwardRef, memo } from 'react';
import { Select } from 'antd';
import { propsAreEqual } from '../utils';
function StringArray(props, ref) {
    return React.createElement(Select, Object.assign({ ref: ref, allowClear: true, mode: "tags", style: { width: '100%' }, dropdownStyle: { display: 'none' } }, props));
}
export default memo(forwardRef(StringArray), propsAreEqual);
